dpkg-trigger(1)

NAZWA
dpkg-trigger - program pomocniczy wyzwalaczy dla pakietów

SKŁADNIA
dpkg-trigger [opcja...] nazwa-wyzwalacza
dpkg-trigger [opcja...] polecenie

OPIS
dpkg-trigger jest narzędziem, które pozwala jawnie aktywować wyzwalacze oraz sprawdza wsparcie dla nich w uruchomionym dpkg.

Może być użyte przez skrypty opiekuna pakietu w sytuacjach złożonych i obłożonych warunkami, gdy wyzwalacze plikowe lub dyrektywy activate z pliku kontrolnego triggers są niewystarczające. Może być również użyte do testowania oraz przez administratorów systemu (proszę zauważyć, że same wyzwalacze nie będą uruchamiane przez dpkg-trigger).

Nierozpoznana składnia nazwy wyzwalacza stanowi błąd dla dpkg-trigger.

POLECENIA

--check-supported
    Check if the running dpkg supports triggers (usually called from a postinst). Will exit 0 if a triggers-capable dpkg has run, or 1 with an error message to stderr if not. Normally, however, it is better just to activate the desired trigger with dpkg-trigger.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

OPCJE

--admindir=katalog
    Zmienia położenie bazy danych dpkg. Domyślnie jest to /var/lib/dpkg.

--by-package=pakiet
    Override trigger awaiter (normally set by dpkg through the DPKG_MAINTSCRIPT_PACKAGE environment variable of the maintainer scripts, naming the package to which the script belongs, and this will be used by default).

--no-await
    Ta opcja zapewnia, że wywołujący pakiet T (jeśli jest) nie potrzebuje oczekiwać na przetworzenie tego wyzwalacza. Tzw. "zainteresowane" pakiet(y) I nie będą dodane do listy pakietów oczekujących na przetworzenie wyzwalacza dla T, a status T nie zostanie zmieniony. Można uważać T za zainstalowany, mimo że pakiet(y) I wyzwalacz mógł jeszcze nie zostać przetworzony.

--no-act
     Tylko test - bez wykonywania żadnych zmian.

ŚRODOWISKO

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

ZOBACZ TAKŻE
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg-dev/triggers.txt.gz.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008